%define rel     6

Name:           k3b
Epoch:          4
Version: 2.10.0
Release:        %mkrel %rel
Summary:        CD-Burner for Plasma5
License:        GPLv2+
Group:          Archiving/Cd burning
Url:            http://www.k3b.org
Source0:        http://downloads.sourceforge.net/k3b/%{name}-%version.tar.xz
## upstream patches (0-100):
Patch1:         0001-fix-adding-files-to-data-project.patch
Patch2:         0002-unbreak-K3bAudioMetainfoRenamerPluginWidget.patch
Patch3:         0003-ffmpeg.patch
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5FileMetaData)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Cddb)

BuildRequires:  doxygen
BuildRequires:  ffmpeg-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  pkgconfig(dvdread)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(flac++)
BuildRequires:  pkgconfig(libmusicbrainz)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(sox)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(vorbis)
%if "%distro_section" == "tainted"
BuildRequires:  lame-devel
%endif
Requires:       cdrskin
Requires:       cdrkit
Requires:       cdrkit-genisoimage
Requires:       cdrdao
Requires:       sox
Requires:       vcdimager
Requires:       normalize
Requires:       dvd+rw-tools
Requires:       cdparanoia
Requires:       kcm_cddb

%description
K3b is CD-writing software which intends to be feature-rich and
provide an easily usable interface. Features include burning
audio CDs from .WAV and .MP3 audio files, configuring external
programs and configuring devices.

%files -f %{name}.lang
%_kf5_sysconfdir/xdg/k3btheme.knsrc
%_kf5_bindir/k3b
%_qt5_plugindir/kcm_k3boggvorbisencoder.so
%_qt5_plugindir/kio_videodvd.so
%_qt5_plugindir/k3bffmpegdecoder.so
%_qt5_plugindir/k3bflacdecoder.so
%_qt5_plugindir/k3bmaddecoder.so
%_qt5_plugindir/k3boggvorbisdecoder.so
%_qt5_plugindir/k3boggvorbisencoder.so
%_qt5_plugindir/k3bmpcdecoder.so
%_qt5_plugindir/k3blibsndfiledecoder.so
%_qt5_plugindir/k3baudiometainforenamerplugin.so
%_qt5_plugindir/k3baudioprojectcddbplugin.so
%_qt5_plugindir/k3bexternalencoder.so
%_qt5_plugindir/k3bsoxencoder.so
%_qt5_plugindir/k3bwavedecoder.so
%_qt5_plugindir/kcm_k3bexternalencoder.so
%_qt5_plugindir/kcm_k3bsoxencoder.so
%if "%distro_section" == "tainted"
%_qt5_plugindir/k3blameencoder.so
%_qt5_plugindir/kcm_k3blameencoder.so
%endif
%_kf5_applicationsdir/org.kde.k3b.desktop
%_kf5_appdatadir/org.kde.k3b.appdata.xml
%_kf5_datadir/mime/packages/x-k3b.xml
%_kf5_datadir/k3b/
%_kf5_datadir/konqsidebartng/virtual_folders/services/videodvd.desktop
%_kf5_datadir/solid/actions/*.desktop
%_kf5_services/ServiceMenus/*.desktop
%_kf5_services/*.desktop
%_kf5_services/videodvd.protocol
%_kf5_servicetypes/k3bplugin.desktop
%_kf5_knotificationsdir/k3b.notifyrc
%_kf5_datadir/kxmlgui5/k3b/
%_kf5_iconsdir/hicolor/*/*/*k3b.*
%_kf5_sysconfdir/dbus-1/system.d/org.kde.k3b.conf
%_libexecdir/k3bhelper
%_kf5_datadir/polkit-1/actions/org.kde.k3b.policy
%_kf5_datadir/dbus-1/system-services/org.kde.k3b.service

#------------------------------------------------

%define libk3b_major 7
%define libk3b %mklibname k3blib %libk3b_major

%package -n     %libk3b
Summary:        K3B core library
Group:          System/Libraries

%description -n %libk3b
K3B core library.

%files -n %libk3b
%_kf5_libdir/libk3blib.so.%{libk3b_major}{,.*}

#------------------------------------------------

%define libk3bdevice_major 7
%define libk3bdevice %mklibname k3bdevice %libk3bdevice_major

%package -n     %libk3bdevice
Summary:        K3B core library
Group:          System/Libraries

%description -n %libk3bdevice
K3B core library.

%files -n %libk3bdevice
%_kf5_libdir/libk3bdevice.so.%{libk3bdevice_major}{,.*}

#------------------------------------------------

%package        devel
Group:          Development/KDE and Qt
Summary:        Development libraries from %name
Requires:       %libk3bdevice = %epoch:%version-%release
Requires:       %libk3b = %epoch:%version-%release

%description    devel
Development libraries from %name.

%files devel
%_includedir/*.h
%_kf5_libdir/libk3blib.so
%_kf5_libdir/libk3bdevice.so

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DK3B_ENABLE_PERMISSION_HELPER=ON
%make_build

%install
%make_install -C build

%find_lang %{name} --with-html --all-name


%changelog
* Tue May 02 2017 akien <akien> 4:2.10.0-6.mga6.tainted
+ Revision: 1098293
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 4:2.10.0-5.mga6.tainted
+ Revision: 1090272
+ rebuild (emptylog)

* Wed Mar 08 2017 akien <akien> 4:2.10.0-5.mga6
+ Revision: 1089869
- Rebuild for ffmpeg 3.2.4

* Sun Feb 12 2017 daviddavid <daviddavid> 4:2.10.0-4.mga6.tainted
+ Revision: 1085816
- backport some upstream fixes especially one to fix adding files to data project (mga#20201)

* Sun Dec 25 2016 daviddavid <daviddavid> 4:2.10.0-3.mga6.tainted
+ Revision: 1077272
- rebuild for new libkcddb

* Fri Dec 16 2016 neoclust <neoclust> 4:2.10.0-2.mga6.tainted
+ Revision: 1075626
- Try to enable translations

* Fri Dec 16 2016 daviddavid <daviddavid> 4:2.10.0-1.mga6
+ Revision: 1075616
- port to Kf5/Qt5
- requires now cdrskin

  + neoclust <neoclust>
    - New kf5 version ( git snapshot)

* Thu Mar 31 2016 daviddavid <daviddavid> 4:2.0.3a-3.mga6.tainted
+ Revision: 997180
- add patch0 to fix build with CMake 3.4 and higher

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Nov 14 2014 akien <akien> 4:2.0.3a-2.mga5.tainted
+ Revision: 797132
- Rebuild for ffmpeg 2.4

* Wed Nov 05 2014 juancho <juancho> 4:2.0.3a-1.mga5
+ Revision: 795852
- Updated to 2.0.3.a

* Wed Oct 15 2014 umeabot <umeabot> 4:2.0.2-15.mga5.tainted
+ Revision: 739854
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tmb <tmb> 4:2.0.2-14.mga5.tainted
+ Revision: 730941
- bump rel to get past BS

* Tue Sep 16 2014 umeabot <umeabot> 4:2.0.2-13.mga5
+ Revision: 680909
- Mageia 5 Mass Rebuild

* Thu Dec 26 2013 juancho <juancho> 4:2.0.2-12.mga4.tainted
+ Revision: 560719
- Added patch to fix bug#10612: K3b 2.0.2 fails to detect sox

* Sat Oct 19 2013 umeabot <umeabot> 4:2.0.2-11.mga4.tainted
+ Revision: 529656
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 fwang <fwang> 4:2.0.2-10.mga4.tainted
+ Revision: 452809
- try fix building with latest ffmpeg
- rebuild for new ffmpeg

* Sat Jan 12 2013 umeabot <umeabot> 4:2.0.2-9.mga3.tainted
+ Revision: 355762
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 4:2.0.2-8.mga3.tainted
+ Revision: 341638
- rebuild for new ffmpeg

  + mikala <mikala>
    - Add requires for kcm_cddb ( needed to configure kcddb)

* Tue Jul 03 2012 fwang <fwang> 4:2.0.2-7.mga3.tainted
+ Revision: 266909
- update file list
- update url
- build lame for tainted

* Tue Jul 03 2012 fwang <fwang> 4:2.0.2-7.mga3
+ Revision: 266877
- update br

* Wed May 30 2012 fwang <fwang> 4:2.0.2-6.mga3
+ Revision: 249713
- turn to use gentoo patch
- use correct scope
- more patch
- rebuild for new ffmpeg

* Thu Dec 22 2011 juancho <juancho> 4:2.0.2-5.mga2
+ Revision: 185604
- Removed just added lame .so's as they are only added when compiling against ffmpeg from tainted which pulls in liblame also from tainted.
- Removed remaining BuildRoot stuff
- Removed useless defattr stuff
- Fixed build by adding missing so's of lameencoder in %%files

* Fri Oct 07 2011 fwang <fwang> 4:2.0.2-4.mga2
+ Revision: 152586
- drop empty section

  + juancho <juancho>
    - Increase mkrel.
    - Added Requires for cdparanoia (bug: 2417)

* Fri Jun 24 2011 fwang <fwang> 4:2.0.2-3.mga2
+ Revision: 113192
- correct compile fix
- fix build with ffmpeg 0.8
- br musicbrainz
- rebuild for new ffmpeg

  + mikala <mikala>
    - Remove BuildRoot

* Mon Feb 07 2011 ahmad <ahmad> 4:2.0.2-2.mga1
+ Revision: 48149
- drop old provides/obsoletes/conflicts
- imported package k3b

